{% extends "admin/master.html" %}
{% from "_macros.html" import collapse_card_start, collapse_card_end, card_link_by_title, render_field_with_errors, render_field %}

{% block body %}

<script>
function controlVisibility() {
    if (document.getElementById('dest1').checked) {
        document.getElementById('control-nuser').style.display = 'block';
    } else {
        document.getElementById('control-nuser').style.display = 'none';
    }
    if (document.getElementById('dest2').checked) {
        document.getElementById('control-ngroup').style.display = 'block';
    } else {
        document.getElementById('control-ngroup').style.display = 'none';
    }
}
</script>

<div class="card">
    <h5 class="card-header">Bulk task reassignment</h5>
    <div class="card-body">
        <form action="{{ url_for('/users/tasks.index') }}" method="POST" name="reassign_form">
            {{ reassign_form.hidden_tag() }}
            {{ render_field_with_errors(reassign_form.current_user) }}
            <label> Reassign to: </label><br>
            <input type="radio" id="dest1" name="destination" value="user" onclick="javascript:controlVisibility()"/>
            <label for="user">A new user</label><br>
            <input type="radio" id="dest2" name="destination" value="group" onclick="javascript:controlVisibility()"/>
            <label for="group">Distribute among user group</label><br>  
            <div id="control-nuser" style="display:none">
                {{ render_field_with_errors(reassign_form.new_user) }}
            </div>
            <div id="control-ngroup" style="display:none">
                {{ render_field_with_errors(reassign_form.group) }}
            </div>
            {{ render_field(reassign_form.submit) }}
        </form>
    </div>
</div>
{% endblock %}
